techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. V3
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
        • Change SubOrder Location
        • Bulk Change Suborder Location
        • Change Meals
        • Change Delivery Window
        • Bulk Change Delivery Window
        • Bulk Change PickUp Branch
        • Frozen/Postponed SubOrders
        • Pre-Order
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
          GET
        • List Super Plans
          GET
        • Super Plan Details
          GET
        • Plan Date Details
          GET
        • List Feature Plan Tags
          GET
        • List Featured Plans
          GET
        • Plan Menu Categories
          GET
        • Has Purchased Plan
          POST
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. V3

List Featured Plans

GET
https://api.techrar.com/api/v3/plans/featured/
This endpoint allows customers to retrieve a list of featured subscription plans grouped by their associated tags, showing promoted or highlighted meal plans.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v3/plans/featured/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "id": 71,
        "custom_fields": null,
        "plan": {
            "id": 237,
            "custom_fields": {},
            "restaurants": [
                {
                    "id": 90,
                    "name_ar": "يو اي تي",
                    "name_en": "UAT",
                    "logo": "/media/uploads/restaurants/menus/2024/03/06/9a2e53f0-944d-452f-b8a8-d0fd1489b1a3.png",
                    "supports_pickup": true,
                    "supports_delivery": true,
                    "closed_dates": []
                }
            ],
            "plan_tags": [
                {
                    "id": 71,
                    "custom_fields": null,
                    "app_id": 90,
                    "created_at": "2024-04-25T12:10:50.157948+03:00",
                    "modified_at": "2025-03-11T19:07:16.474112+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "type_en": "life_style",
                    "type_ar": "نمط الحياة",
                    "tag_en": "life_style",
                    "tag_ar": "نمط حياة",
                    "is_featured": false,
                    "featured_plan_id": 237,
                    "is_active": true,
                    "image": "/media/uploads/plans/plan-tags/images/2025/02/25/c377fda1-cc4b-4ccc-ab12-2ef917696133.png",
                    "color": "#e51f1f",
                    "description_en": null,
                    "description_ar": null,
                    "corporate": null
                }
            ],
            "versions": [
                {
                    "id": 692,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-04-25T12:18:43.560989+03:00",
                    "modified_at": "2025-05-08T12:14:04.721151+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 1,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 1,
                    "delivery_price": 10.0,
                    "original_price": 40.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 888,
                    "custom_fields": null,
                    "min_start_date": "2025-12-07",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-12-02T13:59:44.993679+03:00",
                    "modified_at": "2025-05-08T12:14:04.742297+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 4,
                    "off_days": [
                        "Fri",
                        "Sat",
                        "Mon",
                        "Tue",
                        "Wed",
                        "Thu"
                    ],
                    "total_num_of_items": 4,
                    "delivery_price": 0.0,
                    "original_price": 80.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": "bi_weekly",
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 693,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-04-25T12:18:43.585834+03:00",
                    "modified_at": "2025-05-08T12:14:04.751911+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 5,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 5,
                    "delivery_price": 50.0,
                    "original_price": 200.0,
                    "discount_percentage": 10.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 694,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-04-25T12:18:43.606243+03:00",
                    "modified_at": "2025-05-08T12:14:04.756640+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 10,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 10,
                    "delivery_price": 100.0,
                    "original_price": 400.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 728,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-06-25T22:45:12.065409+03:00",
                    "modified_at": "2025-05-08T12:14:04.772162+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 20,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 20,
                    "delivery_price": 200.0,
                    "original_price": 800.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 695,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-04-25T12:18:43.625024+03:00",
                    "modified_at": "2025-05-08T12:14:04.777229+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 20,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 20,
                    "delivery_price": 200000.0,
                    "original_price": 8000.0,
                    "discount_percentage": 15.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": 274
                },
                {
                    "id": 1202,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2025-05-08T12:14:04.677051+03:00",
                    "modified_at": "2025-05-08T12:14:04.783605+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 24,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 24,
                    "delivery_price": 0.0,
                    "original_price": 24.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": "bi_monthly",
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 729,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-06-25T22:45:12.100536+03:00",
                    "modified_at": "2025-05-08T12:14:04.788399+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 40,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 40,
                    "delivery_price": 400.0,
                    "original_price": 1600.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 730,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-06-25T22:45:38.166160+03:00",
                    "modified_at": "2025-05-08T12:14:04.792828+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 60,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 60,
                    "delivery_price": 600.0,
                    "original_price": 2400.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 810,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-09-25T10:38:46.979916+03:00",
                    "modified_at": "2025-05-08T12:14:04.797918+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 78,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 78,
                    "delivery_price": 0.0,
                    "original_price": 3120.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 811,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-09-25T10:40:17.816361+03:00",
                    "modified_at": "2025-05-08T12:14:04.806886+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 80,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 80,
                    "delivery_price": 0.0,
                    "original_price": 3200.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": "monthly",
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 812,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-09-25T12:22:24.655073+03:00",
                    "modified_at": "2025-05-08T12:14:04.802335+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 80,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 80,
                    "delivery_price": 0.0,
                    "original_price": 3200.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                },
                {
                    "id": 762,
                    "custom_fields": null,
                    "min_start_date": "2025-12-03",
                    "max_start_date": "2026-01-29",
                    "app_id": null,
                    "created_at": "2024-07-20T19:28:44.795381+03:00",
                    "modified_at": "2025-05-08T12:14:04.811255+03:00",
                    "is_deleted": false,
                    "deleted_at": null,
                    "ordering": 0,
                    "num_of_days": 360,
                    "off_days": [
                        "Fri",
                        "Sat"
                    ],
                    "total_num_of_items": 360,
                    "delivery_price": 319680.0,
                    "original_price": 356040.0,
                    "discount_percentage": 0.0,
                    "is_active": true,
                    "duration": null,
                    "pause_credits": null,
                    "num_of_pause_attempts": null,
                    "min_of_pause_days": null,
                    "items_details": null,
                    "version_type": null,
                    "plan": 237,
                    "restaurant_branch": null
                }
            ],
            "repetition": 1,
            "start_date": "2025-02-18",
            "max_end_date": "2026-03-30",
            "skip_option_selection": true,
            "size": {
                "id": 23,
                "custom_fields": null,
                "app_id": null,
                "created_at": "2024-03-07T12:09:33.872825+03:00",
                "modified_at": "2024-07-18T14:14:24.625845+03:00",
                "is_deleted": false,
                "deleted_at": null,
                "ordering": 0,
                "title": "150P - 150C",
                "protein_amount": 150.0,
                "unit": "gram",
                "carb_amount": 150.0,
                "restaurant": 90
            },
            "app_id": null,
            "created_at": "2024-04-25T12:18:43.064044+03:00",
            "modified_at": "2025-05-08T12:14:04.821935+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "فطور & غداء + 1 سناكك",
            "name_en": "Breakfast & Lunch + 1 Snack",
            "subtitle_ar": "كما يتضمن البرنامج متابعة أسبوعية مع أخصائية التغذية وفحص فيزيائي وايضاً توصيل مجاني",
            "subtitle_en": "The program also incaludes weekly follow-ups with a nutritionist, a physical examination, and free delivery.",
            "daily_num_of_meals": 1,
            "image": "/media/uploads/plans/images/2024/04/25/e8ba7cfb-41aa-4e1d-b3a9-d4649aa7a676.png",
            "description_ar": "",
            "description_en": "",
            "daily_num_of_items": 1,
            "avg_daily_meal_calories": 717.0,
            "start_after": 3,
            "is_active": true,
            "reference": "1001231",
            "selling_price": null,
            "special_product_selection_limit": 3,
            "featured_title_en": "Featured 1",
            "featured_title_ar": "باقه الاسبوع",
            "is_featured": false,
            "is_marketplace_featured": false,
            "is_marketplace_active": false,
            "supported_service": "delivery",
            "gender": null,
            "image_ar": null,
            "subscription_type": "scheduled",
            "menu": 43
        },
        "app_id": 90,
        "created_at": "2024-04-25T12:10:50.157948+03:00",
        "modified_at": "2025-03-11T19:07:16.474112+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "type_en": "life_style",
        "type_ar": "نمط الحياة",
        "tag_en": "life_style",
        "tag_ar": "نمط حياة",
        "is_featured": false,
        "featured_plan_id": 237,
        "is_active": true,
        "image": "/media/uploads/plans/plan-tags/images/2025/02/25/c377fda1-cc4b-4ccc-ab12-2ef917696133.png",
        "color": "#e51f1f",
        "description_en": null,
        "description_ar": null,
        "corporate": null
    }
]
Modified at 2025-12-02 07:37:26
Previous
List Feature Plan Tags
Next
Plan Menu Categories
Built with